/* cmdline.h */

/* File autogenerated by gengetopt version 2.18  */

#ifndef CMDLINE_H
#define CMDLINE_H

/* If we use autoconf.  */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef CMDLINE_PARSER_PACKAGE
#define CMDLINE_PARSER_PACKAGE PACKAGE
#endif

#ifndef CMDLINE_PARSER_VERSION
#define CMDLINE_PARSER_VERSION VERSION
#endif

struct gengetopt_args_info
{
  const char *help_help; /* Print help and exit help description.  */
  const char *version_help; /* Print version and exit help description.  */
  char * add_all_arg;	/* Add all files in the directory.  */
  char * add_all_orig;	/* Add all files in the directory original value given at command line.  */
  const char *add_all_help; /* Add all files in the directory help description.  */
  char * recursive_arg;	/* Recursive directory traversal.  */
  char * recursive_orig;	/* Recursive directory traversal original value given at command line.  */
  const char *recursive_help; /* Recursive directory traversal help description.  */
  char * sort_arg;	/* Show images in sorted order.  */
  char * sort_orig;	/* Show images in sorted order original value given at command line.  */
  const char *sort_help; /* Show images in sorted order help description.  */
  char * shuffle_arg;	/* Show images in random order.  */
  char * shuffle_orig;	/* Show images in random order original value given at command line.  */
  const char *shuffle_help; /* Show images in random order help description.  */
  char * force_load_arg;	/* Try to load every file.  */
  char * force_load_orig;	/* Try to load every file original value given at command line.  */
  const char *force_load_help; /* Try to load every file help description.  */
  char * client_arg;	/* Connect to an already running gliv.  */
  char * client_orig;	/* Connect to an already running gliv original value given at command line.  */
  const char *client_help; /* Connect to an already running gliv help description.  */
  char * build_menus_arg;	/* No images menu at startup.  */
  char * build_menus_orig;	/* No images menu at startup original value given at command line.  */
  const char *build_menus_help; /* No images menu at startup help description.  */
  char * glivrc_arg;	/* Use this configuration file or none.  */
  char * glivrc_orig;	/* Use this configuration file or none original value given at command line.  */
  const char *glivrc_help; /* Use this configuration file or none help description.  */
  char * slide_show_arg;	/* Start the slide show immediately.  */
  char * slide_show_orig;	/* Start the slide show immediately original value given at command line.  */
  const char *slide_show_help; /* Start the slide show immediately help description.  */
  char * null_arg;	/* Read null-terminated filenames.  */
  char * null_orig;	/* Read null-terminated filenames original value given at command line.  */
  const char *null_help; /* Read null-terminated filenames help description.  */
  char * collection_arg;	/* Output a collection.  */
  char * collection_orig;	/* Output a collection original value given at command line.  */
  const char *collection_help; /* Output a collection help description.  */
  char * geometry_arg;	/* Initial window geometry.  */
  char * geometry_orig;	/* Initial window geometry original value given at command line.  */
  const char *geometry_help; /* Initial window geometry help description.  */
  
  int help_given ;	/* Whether help was given.  */
  int version_given ;	/* Whether version was given.  */
  int add_all_given ;	/* Whether add-all was given.  */
  int recursive_given ;	/* Whether recursive was given.  */
  int sort_given ;	/* Whether sort was given.  */
  int shuffle_given ;	/* Whether shuffle was given.  */
  int force_load_given ;	/* Whether force-load was given.  */
  int client_given ;	/* Whether client was given.  */
  int build_menus_given ;	/* Whether build-menus was given.  */
  int glivrc_given ;	/* Whether glivrc was given.  */
  int slide_show_given ;	/* Whether slide-show was given.  */
  int null_given ;	/* Whether null was given.  */
  int collection_given ;	/* Whether collection was given.  */
  int geometry_given ;	/* Whether geometry was given.  */

  char **inputs ; /* unamed options */
  unsigned inputs_num ; /* unamed options number */
} ;

extern const char *gengetopt_args_info_purpose;
extern const char *gengetopt_args_info_usage;
extern const char *gengetopt_args_info_help[];

int cmdline_parser (int argc, char * const *argv,
  struct gengetopt_args_info *args_info);
int cmdline_parser2 (int argc, char * const *argv,
  struct gengetopt_args_info *args_info,
  int override, int initialize, int check_required);
int cmdline_parser_file_save(const char *filename,
  struct gengetopt_args_info *args_info);

void cmdline_parser_print_help(void);
void cmdline_parser_print_version(void);

void cmdline_parser_init (struct gengetopt_args_info *args_info);
void cmdline_parser_free (struct gengetopt_args_info *args_info);

int cmdline_parser_required (struct gengetopt_args_info *args_info,
  const char *prog_name);


#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* CMDLINE_H */
